package domain

type TmallItemSeriesItemseriesInsertseriesitemResultDO struct {
	/*
	   调用是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误码集合     */
	ErrorCodes *[]TmallItemSeriesItemseriesInsertseriesitemErrorCode `json:"error_codes,omitempty" `

	/*
	   实际返回对象     */
	Model *TmallItemSeriesItemseriesInsertseriesitemErrorCode `json:"model,omitempty" `
}

func (s *TmallItemSeriesItemseriesInsertseriesitemResultDO) SetSuccess(v bool) *TmallItemSeriesItemseriesInsertseriesitemResultDO {
	s.Success = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemResultDO) SetErrorCodes(v []TmallItemSeriesItemseriesInsertseriesitemErrorCode) *TmallItemSeriesItemseriesInsertseriesitemResultDO {
	s.ErrorCodes = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertseriesitemResultDO) SetModel(v TmallItemSeriesItemseriesInsertseriesitemErrorCode) *TmallItemSeriesItemseriesInsertseriesitemResultDO {
	s.Model = &v
	return s
}
